GET
/api/Webhooks/deliveries
const url = 'https://example.com/api/Webhooks/deliveries?MerchantId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/Webhooks/deliveries?MerchantId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'Authorization: Bearer <token>'Most-recent first. Filter by API key to inspect a single integration.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” MerchantId
required
string format: uuid
ApiKeyId
string format: uuid
Limit
integer format: int32
Responses
Section titled “ Responses ”OK
Media type application/json
Array<object>
object
id
string format: uuid
webhookEventId
string format: uuid
eventType
string
attemptNumber
integer format: int32
status
string
url
string
responseStatus
integer format: int32
nextAttemptAt
string format: date-time
attemptedAt
string format: date-time
createdAt
string format: date-time
Example
[ { "status": "Pending" }]